package de.jaujau.UnitTests;

import static org.junit.jupiter.api.Assertions.*;

import java.awt.Image;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import de.jaujau.daten.Texturenpaket;

class TEST_Texturenpaket {

	private Texturenpaket paket;
	
	@BeforeEach
	void setUp() throws Exception {
		
		
	}

	@Test
	void FehlerFreiesPaketLaden() {
		paket = new Texturenpaket("StandartTexturenBeta3.zip");
		assertTrue(paket.ladePacket());
		System.out.println("Name des Texturen Paketes: " + paket.getName());
		System.out.println("Level des Texturen Paketes: " + paket.getLevel());
	}
	
	@Test
	void FehlerHaftesPaketLaden() {
		paket = new Texturenpaket("StandartTexturenFehler");
		assertFalse(paket.ladePacket());
		System.out.println("Name des Fehlerhaften Texturen Paketes: " + paket.getName());
		System.out.println("Level des Fehlerhaften Texturen Paketes: " + paket.getLevel());
	}
	
	
	@Test
	void TexturenAusgeben() {
		paket = new Texturenpaket("StandartTexturenBeta3.zip");
		assertTrue(paket.ladePacket());
		Image Bilder[] = paket.getTexturen();
		for(int i = 0; i < 33; i++) {
			assertTrue(Bilder[i] != null);
		}
	}
	
}
